> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project

> Get a project by ID.



## OpenAPI

````yaml https://dex.sgp.scale.com/openapi.json get /v1/projects/{project_id}
openapi: 3.1.0
info:
  title: Document Understanding API
  description: API for uploading and processing documents
  version: 0.4.5
servers: []
security:
  - ApiKey: []
    AccountId: []
tags:
  - name: Projects
    description: Operations related to project creation and management
  - name: Files
    description: Operations related to file upload and access
  - name: Parse
    description: Operations related to starting parse jobs and accessing their results
  - name: Vector Stores
    description: Operations related to vector store creation and management
  - name: Extract
    description: Operations related to starting extract jobs and accessing their results
  - name: Research
    description: Dex Research agent kickoff and results.
  - name: Jobs
    description: Operations related to monitoring jobs and their status
paths:
  /v1/projects/{project_id}:
    get:
      tags:
        - Projects
      summary: Get Project
      description: Get a project by ID.
      operationId: get_project_v1_projects__project_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectEntity'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProjectEntity:
      properties:
        id:
          type: string
          title: Id
          description: ID of the entity
        name:
          type: string
          title: Name
          description: Project readable name
        status:
          $ref: '#/components/schemas/ProjectStatus'
          description: Project status
        configuration:
          anyOf:
            - $ref: '#/components/schemas/ProjectConfiguration'
            - type: 'null'
          description: Project configuration
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Datetime when the project was created
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
          description: Datetime when the project was archived
      type: object
      required:
        - id
        - name
        - status
        - created_at
      title: ProjectEntity
      description: Project response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectStatus:
      type: string
      enum:
        - active
        - archived
      title: ProjectStatus
      description: Enum for project status values.
    ProjectConfiguration:
      properties:
        retention:
          anyOf:
            - $ref: '#/components/schemas/RetentionPolicy'
            - type: 'null'
          description: Project retention policy
      additionalProperties: true
      type: object
      title: ProjectConfiguration
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RetentionPolicy:
      properties:
        files:
          anyOf:
            - type: string
              format: duration
            - type: 'null'
          title: Files
          description: File retention days
        result_artifacts:
          anyOf:
            - type: string
              format: duration
            - type: 'null'
          title: Result Artifacts
          description: >-
            Data retention days for artifacts that are created from parse or
            extract jobs as well as the jobs themselves
      type: object
      title: RetentionPolicy
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    AccountId:
      type: apiKey
      in: header
      name: x-selected-account-id
      description: Selected Account ID

````